#!/usr/bin/python
__author__ = 'Piotr Matuszczyk <piotr.matuszczyk@sap.com>'

import json

class Vracatalog:
  resourcename = None
  resourceid = None
  resourcedata = []
  catalogtemp = []
  
  def getCatalogResourceDataByName(self, o, name):
    url = '/catalog-service/api/consumer/entitledCatalogItems'
    o.sendGETRequest(url)
    if o.errorlist[0] == 0:
      o.errorlist = [1, 'There is no available Catalog Item with name: %s'%name]
      for i in o.response.json()['content']:
        if i['catalogItem']['name'] == name:
          for n in i['entitledOrganizations']:
            subtenantRef = n['subtenantRef']
            self.resourcedata = [i['catalogItem']['id'], i['catalogItem']['providerBinding']['bindingId'],
                                 i['catalogItem']['providerBinding']['providerRef']['id'], i['catalogItem']['serviceRef']['id'],
                                 subtenantRef]
            o.errorlist = [0]
            break
      


  def getAllCatalogItems(self, o):
    url = '/catalog-service/api/consumer/entitledCatalogItems'
    o.sendGETRequest(url)
    if o.errorlist[0] == 0:
      for i in o.response.json()['content']:
        for n in i['entitledOrganizations']:
          subtenantRef = n['subtenantRef']
          self.catalogtemp.append({"name": i['catalogItem']['name'], "description" : i['catalogItem']['description'], "id" : i['catalogItem']['id'],
                                   "bindingId" : i['catalogItem']['providerBinding']['bindingId'], "providerRef" : i['catalogItem']['providerBinding']['providerRef']['id'],
                                   "serviceRef" : i['catalogItem']['serviceRef']['id'], "subtenantRef" : subtenantRef, "status" : i['catalogItem']['status']})
