#!/usr/bin/python
__author__ = 'Piotr Matuszczyk <piotr.matuszczyk@sap.com>'

import json, os
from jinja2 import Environment, FileSystemLoader
from jinja2.exceptions import TemplateNotFound

class Vrarequest:
  def __init__(self, templatepath):
    self.templatepath = templatepath
  requestid = None
  errorlist = [0]
  url = None
  payload = None
  
  def createPayloadFromTemplate(self, o, customer, reqdata, defaultvars):
    try:
      templateloader = FileSystemLoader(searchpath=os.path.dirname(self.templatepath))
      templateenv = Environment(loader=templateloader, autoescape=True)
      template = templateenv.get_template(os.path.split(self.templatepath)[1])
      rendervars = {'catalog': o.resourcedata, 'defaultvars': defaultvars, 'reqdata': reqdata, 'customer': customer}
      self.payload = json.loads(template.render(rendervars))
    except TemplateNotFound, e:
      self.errorlist[0] = 1
      self.errorlist.append('Template does not exist: %s' %e)